package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy
{
    public Dragon(int hp, int mp) { super(30, 30); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 5)
        {
            super.specialAbility(target);
            target.takeDamage(10);
            this.setMp(this.getMp() - 5);
            System.out.println("The Dragon threw a huge fire at the player 🔥🔥");
        }
    }
}
